GDB (xrefs)

Public Attributes | List of all members
moxie_frame_cache Struct Reference

## Public Attributes
CORE_ADDR | base
CORE_ADDR | pc
LONGEST | framesize
CORE_ADDR | saved_regs [MOXIE_NUM_REGS]
CORE_ADDR | saved_sp

## Detailed Description

Definition at line 47 of file moxie-tdep.c.

## Member Data Documentation

## ◆ base

CORE_ADDR moxie_frame_cache::base

Definition at line 50 of file moxie-tdep.c.

Referenced by moxie_alloc_frame_cache(), moxie_frame_base_address(), moxie_frame_cache(), and moxie_frame_this_id().

## ◆ framesize

LONGEST moxie_frame_cache::framesize

Definition at line 52 of file moxie-tdep.c.

Referenced by moxie_alloc_frame_cache(), moxie_analyze_prologue(), and moxie_frame_cache().

## ◆ pc

CORE_ADDR moxie_frame_cache::pc

Definition at line 51 of file moxie-tdep.c.

Referenced by moxie_alloc_frame_cache(), moxie_frame_cache(), moxie_frame_this_id(), and moxie_skip_prologue().

## ◆ saved_regs

CORE_ADDR moxie_frame_cache::saved_regs[MOXIE_NUM_REGS]

Definition at line 53 of file moxie-tdep.c.

Referenced by moxie_alloc_frame_cache(), moxie_analyze_prologue(), moxie_frame_cache(), and moxie_frame_prev_register().

## ◆ saved_sp

CORE_ADDR moxie_frame_cache::saved_sp

Definition at line 54 of file moxie-tdep.c.

Referenced by moxie_alloc_frame_cache(), moxie_frame_cache(), moxie_frame_prev_register(), and moxie_frame_this_id().

The documentation for this struct was generated from the following file:

- /tmp/gdb-8.1/gdb/moxie-tdep.c